## libmspack 0.4

=== doc/Makefile ===
DOCS =	annotated.html classes.html files.html functions*.html globals*.html \
	jquery.js index.html mspack*.html struct*.html doxygen.* tab* search \
	*.png

all: index.html

clean:
	-rm -rf $(DOCS) installdox

index.html: ../mspack/mspack.h Doxyfile
	doxygen

mspack_docs.zip: index.html
	zip -9r $@ $(DOCS)

=== debian/changelog ===
libmspack (0.4-1~12.04.1) precise-security; urgency=medium

  * Rebuilding for  precise/esm

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Wed, 02 Oct 2019 12:38:10 -0300

libmspack (0.4-1ubuntu0.1~esm1) trusty-security; urgency=medium

  * SECURITY UPDATE: Buffer Overflow when CAB block input buffer is smaller
    than the maximal Quantum block
    - debian/patches/CVE-2018-18584.patch: CAB block input buffer is one byte
      too small for maximal Quantum block
    - CVE-2018-18584
  * SECURITY UPDATE: Buffer underread (DoS) via a crafted CAB archive
    - debian/patches/CVE-2015-4471.patch: Prevent a 1-byte underread of the
      input buffer if an odd-sized data block comes just before an uncompressed
      block header
    - CVE-2015-4471
  * SECURITY UPDATE: Off-by-one buffer overread via a crafted CAB archive
    - debian/patches/CVE-2015-4470.patch: Properly handle distance codes.
      Distance codes are 0-29, not 0-30.
    - CVE-2015-4470
  * SECURITY UPDATE: NULL pointer dereference via a crafted CAB archive
    - debian/patches/CVE-2014-9732.patch: Avoid using invalid decompression
      state
    - CVE-2014-9732
  * SECURITY UPDATE: Integer overflow causes infinite loop(DoS) via a crafted
    CAB archive
    - debian/patches/CVE-2014-9556.patch: Disallow decompressing files whose
      offset+length is more than the maximum length of a folder
    - CVE-2014-9556

 -- Mike Salvatore <mike.salvatore@canonical.com>  Fri, 28 Jun 2019 07:32:38 -0400

libmspack (0.4-1) unstable; urgency=low

  * Initial release. (Closes: #711232)

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Fri, 16 Aug 2013 23:47:01 +0200

## libmspack 0.5

=== debian/changelog ===
libmspack (0.5-1) unstable; urgency=medium

  * New upstream fix-only release:
    + Fix previously reported bugs with an upstream approved patch
      (#773041, #774725, #774726)
    + Fixes many security-sensitive bugs (Closes: #775687, #775498,
      #774665, #775499).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Mon, 02 Feb 2015 19:41:59 +0100

libmspack (0.4-3) unstable; urgency=medium

  * Added (slightly modified/split) patches from Jakub Wilk to fix
    programmation errors causing segfaults and security issues:
    - fix-division-by-zero.patch
    - fix-pointer-arithmetic-overflow.patch
    - fix-name-field-boundaries.patch
    (Closes: #774725, #774726)

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 13 Jan 2015 22:51:40 +0100

libmspack (0.4-2) unstable; urgency=medium

  * Added patch 'qtmd-fix-frame_end-overflow.patch' to fix an overflow
    causing an infinite loop in some situation (Closes: #773041).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 30 Dec 2014 17:40:47 +0100

=== debian/control ===
Source: libmspack
Section: libs
Priority: optional
Maintainer: Marc Dequènes (Duck) <Duck@DuckCorp.org>
Standards-Version: 3.9.4
Build-Depends: dpkg-dev (>= 1.16.1.1), debhelper (>= 9), dh-autoreconf,
 autotools-dev
Vcs-Git: git://git.debian.org/collab-maint/libmspack.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/libmspack.git;a=summary
Homepage: http://www.cabextract.org.uk/libmspack/

Package: libmspack0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for Microsoft compression formats (shared library)
 The purpose of libmspack is to provide both compression and decompression of
 some loosely related file formats used by Microsoft. The intention is to
 support all of the following formats: COMPRESS.EXE [SZDD],
 Microsoft Help (.HLP), COMPRESS.EXE [KWAJ], Microsoft Cabinet (.CAB),
 HTML Help (.CHM), Microsoft eBook (.LIT), Windows Imaging Format (.WIM),
 Exchange Offline Address Book (.LZX).

Package: libmspack-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, libmspack0 (= ${binary:Version})
Description: library for Microsoft compression formats (development files)
 The purpose of libmspack is to provide both compression and decompression of
 some loosely related file formats used by Microsoft. The intention is to
 support all of the following formats: COMPRESS.EXE [SZDD],
 Microsoft Help (.HLP), COMPRESS.EXE [KWAJ], Microsoft Cabinet (.CAB),
 HTML Help (.CHM), Microsoft eBook (.LIT), Windows Imaging Format (.WIM),
 Exchange Offline Address Book (.LZX).

Package: libmspack-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: ${misc:Depends}, libmspack0 (= ${binary:Version})
Description: library for Microsoft compression formats (debugging symbols)
 The purpose of libmspack is to provide both compression and decompression of
 some loosely related file formats used by Microsoft. The intention is to
 support all of the following formats: COMPRESS.EXE [SZDD],
 Microsoft Help (.HLP), COMPRESS.EXE [KWAJ], Microsoft Cabinet (.CAB),
 HTML Help (.CHM), Microsoft eBook (.LIT), Windows Imaging Format (.WIM),
 Exchange Offline Address Book (.LZX).

Package: libmspack-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Suggests: doc-base
Description: library for Microsoft compression formats (documentation)
 The purpose of libmspack is to provide both compression and decompression of
 some loosely related file formats used by Microsoft. The intention is to
 support all of the following formats: COMPRESS.EXE [SZDD],
 Microsoft Help (.HLP), COMPRESS.EXE [KWAJ], Microsoft Cabinet (.CAB),
 HTML Help (.CHM), Microsoft eBook (.LIT), Windows Imaging Format (.WIM),
 Exchange Offline Address Book (.LZX).

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all


%:
	dh $@ --with autoreconf --with autotools_dev

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_strip:
	dh_strip --dbg-package=libmspack-dbg

=== debian/watch ===
version=3
http://www.cabextract.org.uk/libmspack/libmspack-([\d.]+)alpha.tar.gz

## libmspack 0.6

=== doc/Makefile ===
DOCS =	annotated.html classes.html dir_*.html doxygen.* dynsections.js \
	files.html functions*.html globals*.html graph_legend.html index.html \
	jquery.js mspack*.html search struct*.html tab* *.map *.md5 *.png

all: index.html

clean:
	-rm -rf $(DOCS) installdox

index.html: ../mspack/mspack.h Doxyfile
	doxygen

mspack_docs.zip: index.html
	zip -9r $@ $(DOCS)

=== debian/changelog ===
libmspack (0.6-3ubuntu0.3) bionic-security; urgency=medium

  * SECURITY UPDATE: Buffer overflow
    - debian/patches/CVE-2019-1010305.patch: length checks when looking
      for control files in mspack/chmd.c.
    - CVE-2019-1010305

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Wed, 17 Jul 2019 12:06:02 -0300

libmspack (0.6-3ubuntu0.2) bionic-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2018-18585.patch: Ensure file names are valid in chmd.c
    - CVE-2018-18585
  * SECURITY UPDATE: One byte buffer overflow -
    - debian/patches/CVE-2018-18584.patch: Ensure input buffer is large
      enough in cab.h
    - CVE-2018-18584

 -- Alex Murray <alex.murray@canonical.com>  Thu, 08 Nov 2018 22:45:35 +1030

libmspack (0.6-3ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2018-14679-and-CVE-2018-14680.patch:
      fix in chmd.c.
    - CVE-2018-14679
    - CVE-2018-14680
  * SECURITY UPDATE: Bytes overwire with bad KWAJ file extension
    - debian/patches/CVE-2018-14681.patch: fix in Makefile.am,
      mspack/kwajd.c, test/kwajd_test.c and add some files
      for test propose in test_files/kwajd/f*.kwj.
    - CVE-2018-14681
  * SECURITY UPDATE: Off-by-one error
    - debian/patches/CVE-2018-14682.patch: fix in mspack/chmd.c.
    - CVE-2018-14682

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Wed, 01 Aug 2018 10:40:12 -0300

libmspack (0.6-3) unstable; urgency=medium

  * Move doc generation in dh's indep rules to fix FTBFS

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Thu, 17 Aug 2017 09:49:02 +0900

libmspack (0.6-2) unstable; urgency=medium

  * Missing dependency on 'doxygen' for doc creation (Closes: #872193)
  * Fixed lintian useless-autoreconf-build-depends.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Thu, 17 Aug 2017 08:16:01 +0900

libmspack (0.6-1) unstable; urgency=medium

  * New upstream release:
    + Fix CVE-2017-6419 (Closes: #871263)
    + Fix CVE-2017-11423 (Closes: #868956)
  * Fix building documentation.
  * Use HTTPS in package metadata.
  * Transition to automatic debug packages.
  * Package now conforms to Standards-Version 4.0.0.
  * Switch to compat level 10.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 15 Aug 2017 06:08:38 +0900

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: libmspack
 Section: libs
 Priority: optional
-Maintainer: Marc Dequènes (Duck) <Duck@DuckCorp.org>
-Standards-Version: 3.9.4
-Build-Depends: dpkg-dev (>= 1.16.1.1), debhelper (>= 9), dh-autoreconf,
- autotools-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Marc Dequènes (Duck) <Duck@DuckCorp.org>
+Standards-Version: 4.0.0
+Build-Depends: dpkg-dev (>= 1.16.1.1), debhelper (>= 10)
+Build-Depends-indep: doxygen
 Vcs-Git: git://git.debian.org/collab-maint/libmspack.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/libmspack.git;a=summary
-Homepage: http://www.cabextract.org.uk/libmspack/
+Vcs-Browser: https://git.debian.org/?p=collab-maint/libmspack.git;a=summary
+Homepage: https://www.cabextract.org.uk/libmspack/
 
 Package: libmspack0
 Architecture: any
@@ -35,20 +36,6 @@
  HTML Help (.CHM), Microsoft eBook (.LIT), Windows Imaging Format (.WIM),
  Exchange Offline Address Book (.LZX).
 
-Package: libmspack-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Priority: extra
-Depends: ${misc:Depends}, libmspack0 (= ${binary:Version})
-Description: library for Microsoft compression formats (debugging symbols)
- The purpose of libmspack is to provide both compression and decompression of
- some loosely related file formats used by Microsoft. The intention is to
- support all of the following formats: COMPRESS.EXE [SZDD],
- Microsoft Help (.HLP), COMPRESS.EXE [KWAJ], Microsoft Cabinet (.CAB),
- HTML Help (.CHM), Microsoft eBook (.LIT), Windows Imaging Format (.WIM),
- Exchange Offline Address Book (.LZX).
-
 Package: libmspack-doc
 Architecture: all
 Multi-Arch: foreign

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all


%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_build-indep:
	dh_auto_build
	$(MAKE) -C doc

override_dh_auto_clean:
	[ -f doc/Makefile ] && $(MAKE) -C doc clean
	# not enough
	rm -rf doc/menu.js doc/menudata.js
	dh_auto_clean

override_dh_strip:
	dh_strip --dbgsym-migration='libmspack-dbg (<< 0.6-1~)'

## libmspack 0.7

=== debian/changelog ===
libmspack (0.7-1ubuntu0.1) cosmic-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2018-18585.patch: Ensure file names are valid in chmd.c
    - CVE-2018-18585
  * SECURITY UPDATE: One byte buffer overflow -
    - debian/patches/CVE-2018-18584.patch: Ensure input buffer is large
      enough in cab.h
    - CVE-2018-18584

 -- Alex Murray <alex.murray@canonical.com>  Thu, 08 Nov 2018 22:24:34 +1030

libmspack (0.7-1) unstable; urgency=medium

  * NUR:
    + fix CVE-2018-14679 (Closes: #904802)
    + fix CVE-2018-14680 (Closes: #904801)
    + fix CVE-2018-14682 (Closes: #904800)
    + fix CVE-2018-14681 (Closes: #904799)
  * Add lintian exception for source-contains-prebuilt-ms-help-file in
    the test files.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Sun, 29 Jul 2018 18:53:39 +0900

libmspack (0.6-4) unstable; urgency=medium

  * Updated VCS URLs (Alioth->Salsa).
  * Switch to compat level 11.
  * Bump Standards-Version to 4.1.4.
  * Add missing build dependency on 'graphviz' for the documentation.
  * Adapt doc reference since it is now in the main package.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Thu, 12 Apr 2018 19:26:12 +0900

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Marc Dequènes (Duck) <Duck@DuckCorp.org>
-Standards-Version: 4.0.0
-Build-Depends: dpkg-dev (>= 1.16.1.1), debhelper (>= 10)
-Build-Depends-indep: doxygen
-Vcs-Git: git://git.debian.org/collab-maint/libmspack.git
-Vcs-Browser: https://git.debian.org/?p=collab-maint/libmspack.git;a=summary
+Standards-Version: 4.1.4
+Build-Depends: dpkg-dev (>= 1.16.1.1), debhelper (>= 11)
+Build-Depends-indep: doxygen, graphviz
+Vcs-Browser: https://salsa.debian.org/debian/libmspack
+Vcs-Git: https://salsa.debian.org/debian/libmspack.git
 Homepage: https://www.cabextract.org.uk/libmspack/
 
 Package: libmspack0

## libmspack 0.8

=== debian/changelog ===
libmspack (0.8-1) unstable; urgency=medium

  * New upstream release:
    + CVE-2018-18585 (Closes: #911637)
    + CVE-2018-18584 (Closes: #911640)
    + CVE-2018-18586 (Closes: #911639)

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Wed, 24 Oct 2018 10:03:13 +0900

## libmspack 0.10.1

=== debian/changelog ===
libmspack (0.10.1-2build2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:13:29 +0100

libmspack (0.10.1-2build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:16:44 +0200

libmspack (0.10.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Move source package lintian overrides to debian/source.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Mon, 10 Feb 2020 03:50:50 +0900

libmspack (0.10.1-1) unstable; urgency=medium

  * New upstream release:
    + fix build on big-endian systems (Closes: #914794)
  * Add missing JS files for documentation menu and search functions.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 05 Mar 2019 19:03:29 +0900

libmspack (0.9.1-1) unstable; urgency=medium

  * New upstream release:
    + fix regression when extracting cabinets using -F option
      (Closes: #912687)
  * Bump Standards-Version to 4.2.1.
  * Adapt to documentation now generated in 'doc/html'.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 06 Nov 2018 22:38:49 +0900

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Marc Dequènes (Duck) <Duck@DuckCorp.org>
-Standards-Version: 4.1.4
-Build-Depends: dpkg-dev (>= 1.16.1.1), debhelper (>= 11)
+Standards-Version: 4.2.1
+Build-Depends: dpkg-dev (>= 1.16.1.1), debhelper-compat (= 12)
 Build-Depends-indep: doxygen, graphviz
 Vcs-Browser: https://salsa.debian.org/debian/libmspack
 Vcs-Git: https://salsa.debian.org/debian/libmspack.git
@@ -49,4 +49,3 @@
  Microsoft Help (.HLP), COMPRESS.EXE [KWAJ], Microsoft Cabinet (.CAB),
  HTML Help (.CHM), Microsoft eBook (.LIT), Windows Imaging Format (.WIM),
  Exchange Offline Address Book (.LZX).
-

=== debian/watch ===
version=3
https://www.cabextract.org.uk/libmspack/libmspack-([\d.]+)alpha.tar.gz

## libmspack 0.11

=== debian/changelog ===
libmspack (0.11-1) unstable; urgency=medium

  * NUR.
  * Add Build-Depends-Package to the symbols file.
  * Bump Standards-Version to 4.6.2 (no changes).
  * Upgrade watch file to version 4.
  * Clarify list of not-installed files.
  * Fix duplicate-long-description.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Wed, 08 Feb 2023 00:32:55 +0900

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: libmspack
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Marc Dequènes (Duck) <Duck@DuckCorp.org>
-Standards-Version: 4.2.1
+Maintainer: Marc Dequènes (Duck) <Duck@DuckCorp.org>
+Standards-Version: 4.6.2
 Build-Depends: dpkg-dev (>= 1.16.1.1), debhelper-compat (= 12)
 Build-Depends-indep: doxygen, graphviz
 Vcs-Browser: https://salsa.debian.org/debian/libmspack
@@ -35,6 +34,9 @@
  Microsoft Help (.HLP), COMPRESS.EXE [KWAJ], Microsoft Cabinet (.CAB),
  HTML Help (.CHM), Microsoft eBook (.LIT), Windows Imaging Format (.WIM),
  Exchange Offline Address Book (.LZX).
+ .
+ This package contains the development files, including headers and
+ pkgconf configuration.
 
 Package: libmspack-doc
 Architecture: all
@@ -49,3 +51,5 @@
  Microsoft Help (.HLP), COMPRESS.EXE [KWAJ], Microsoft Cabinet (.CAB),
  HTML Help (.CHM), Microsoft eBook (.LIT), Windows Imaging Format (.WIM),
  Exchange Offline Address Book (.LZX).
+ .
+ This package contains the API documentation.

=== debian/rules ===
--- 
+++ 
@@ -15,10 +15,7 @@
 
 override_dh_auto_clean:
 	[ -f doc/Makefile ] && $(MAKE) -C doc clean
-	# not enough
-	rm -rf doc/menu.js doc/menudata.js
 	dh_auto_clean
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='libmspack-dbg (<< 0.6-1~)'
-

=== debian/watch ===
version=4
https://www.cabextract.org.uk/libmspack/ libmspack-([\d.]+)alpha.tar.gz
